System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.ProtocolImporter

The class generates client proxy code or abstract server code according to the SOAP protocol. The class generates a class for each supported binding defined in a Web Services Description Language (WSDL) document.

Typically, instead of invoking directly, a developer uses the class indirectly through the class.

Generates classes for Web services that use the SOAP protocol.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.CodeDom.CodeTypeDeclaration

  During generation of a class for a given binding, the method executes before the class generates methods that correspond to operations.

  Initializes the generation of a binding class.

  A binding class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  During code generation, the method executes before the class generates classes that represent bindings.

  Performs initialization for an entire code namespace during code generation.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  During generation of a class for a given binding, the method executes after the class generates methods that correspond to operations.

  Processes a binding class after the generation of methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  During code generation, the method executes after the class generates classes that represent bindings.

  Performs processing for an entire code namespace after binding class generation.

  1.0.5000.0
  2.0.0.0
- Method
  System.CodeDom.CodeMemberMethod

  During generation of a class for a given binding, the method executes for each binding class method that represents an operation.

  Generates method code for a binding class.

  The method code for a binding class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The method determines whether to generate a class for the current binding, as represented by the property. The method checks whether the property's property contains a instance. In addition, the transport mechanism obtained through the property must be supported by the current Web services configuration.

  Determines whether a class can be generated for the current binding.

  true if the class can be generated for the current binding; otherwise false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  The method determines whether to generate a method for the current operation, as represented by the property. This evaluation takes place for each operation in a binding for which a class is being generated. If a false value is returned, the method executes. A true value is returned only if the input value is or .

  For more information, see the property. The property is of type .

  Determines whether the current operation's operation flow is supported.

  true if the current operation's operation flow is supported; otherwise false.

  An enumeration value that represents a transmission pattern. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added.

  Checks for the presence of "http://schemas.xmlsoap.org/soap/encoding/" in a string that represents a list of Uniform Resource Indicators (URIs).

  true it the string contains http://schemas.xmlsoap.org/soap/encoding/; otherwise false.

  A space-delimited list of URIs.
- Property
  System.String a To be added

  Gets a value of "Soap".

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.SoapBinding To be added: an object of type 'SoapBinding' To be added

  Gets a instance obtained through the property's property.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.SoapCodeExporter a

  The class uses a object to create code from .NET Framework type mappings for XML schema elements and data types that enable SOAP encoding, as opposed to literal XML Schema usage. SOAP encoding is specified in section 5 of the SOAP 1.1 specification. SOAP encoding uses the namespace "http://schemas.xmlsoap.org/soap/encoding/".

  Gets the object of type used internally by the class to generate code from mappings between SOAP-encoded XML schema content and .NET Framework types.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.SoapSchemaImporter a

  The class uses a object to create .NET Framework type mappings for XML schema elements and data types that enable SOAP encoding, as opposed to literal XML Schema usage. SOAP encoding is specified in section 5 of the SOAP 1.1 specification. SOAP encoding uses the namespace "http://schemas.xmlsoap.org/soap/encoding/".

  Gets the object of type used internally by the class to generate mappings between SOAP-encoded XML schema content and .NET Framework types.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.XmlCodeExporter a

  The class uses an object to create .NET Framework type mappings for XML schema elements and data types that require literal XML Schema usage, as opposed to SOAP encoding. SOAP encoding is specified in section 5 of the SOAP 1.1 specification.

  Gets the object of type used internally by the class to generate code from mappings between literal XML schema content and .NET Framework types.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.XmlSchemaImporter a

  The class uses an object to create code from .NET Framework type mappings for XML schema elements and data types that require literal XML Schema usage, as opposed to SOAP encoding. SOAP encoding is specified in section 5 of the SOAP 1.1 specification.

  Gets the object of type used internally by the class to generate mappings between literal XML schema content and .NET Framework types.

  1.0.5000.0
  2.0.0.0